Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class CheckException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  calhoun.util.CheckException

All Implemented Interfaces:
  java.io.Serializable

    public class CheckException

extends java.lang.RuntimeException

Exception type for consistency check errors. It is unchecked to simplify error handling in other Java code. It is a wrapper for problems that arise from failed consistency checks.It is a subclass of ConfigException. You should assume error messages will be viewed by the user.

See Also:
  Serialized Form

Constructor Summary
`CheckException()`
`CheckException(java.lang.String arg0)`
`CheckException(java.lang.String arg0, java.lang.Throwable arg1)`
`CheckException(java.lang.Throwable arg)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getPlainMessage()` Gets the plain message unembellished with stack traces and causes.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckException

    public CheckException()

### CheckException

    public CheckException(java.lang.String arg0)

### CheckException

    public CheckException(java.lang.String arg0,
                          java.lang.Throwable arg1)

### CheckException

    public CheckException(java.lang.Throwable arg)

Method Detail

### getPlainMessage

    public java.lang.String getPlainMessage()

  Gets the plain message unembellished with stack traces and causes.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD